org.jbpm.services.task.prediction

## Class NoOpPredictionService

- java.lang.Object
- - org.jbpm.services.task.prediction.NoOpPredictionService

- All Implemented Interfaces:
    org.kie.internal.task.api.prediction.PredictionService

      public class NoOpPredictionService
      extends Object
      implements org.kie.internal.task.api.prediction.PredictionService

  Implementation of a no-op prediction service

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IDENTIFIER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpPredictionService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdentifier()`
    `org.kie.internal.task.api.prediction.PredictionOutcome` | `predict(org.kie.api.task.model.Task task, Map<String,Object> inputData)`
    `void` | `train(org.kie.api.task.model.Task task, Map<String,Object> inputData, Map<String,Object> outputData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDENTIFIER

          public static final String IDENTIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NoOpPredictionService

          public NoOpPredictionService()

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.internal.task.api.prediction.PredictionService`

    - #### predict

          public org.kie.internal.task.api.prediction.PredictionOutcome predict(org.kie.api.task.model.Task task,
                                                                                Map<String,Object> inputData)

      Specified by:
        `predict` in interface `org.kie.internal.task.api.prediction.PredictionService`

    - #### train

          public void train(org.kie.api.task.model.Task task,
                            Map<String,Object> inputData,
                            Map<String,Object> outputData)

      Specified by:
        `train` in interface `org.kie.internal.task.api.prediction.PredictionService`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.